Page MenuHomePhabricator

Ship Conpherence v2
Closed, ResolvedPublic

Description

This is an umbrella task for the next major product iteration of Conpherence. See T5364 for some original discussion.

The major product features in this iteration are:

  • Rooms (T7566): Conpherence currently supports messaging threads between groups of users, but we'd like to expand support to include threads that work like IRC chatrooms and are joinable/discoverable. For example, a new employee can go join the "Engineering" room and the "Social" room.
  • Room Notifications (T7569): A major draw of similar software like Slack is publishing notifications into rooms. Conpherence threads should support publishing relevant notifications (for example, maybe a Differential room gets notified when tagged tasks are updated).
  • Search (T3165): Content search for threads.
  • Chat Column (T7572): New persistent UI element which provides access to Conpherence on all pages.

And tech features:

  • Desktop Notifications (T7568): Modern browsers allow the client to emit notifications that users can see even if they're in another program.
  • Sound (T7567): Adding support so users can receive an audio alert when activity occurs.
  • Online Status (T6868): Show users who are online or offline.

Related Objects

StatusAssignedTask
Resolvedbtrahan
Resolvedbtrahan
Resolvedepriestley
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
ResolvedNone
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
ResolvedNone
ResolvedNone
Resolvedbtrahan
ResolvedNone
Resolvedepriestley
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedepriestley
ResolvedNone
Resolvedbtrahan
Resolvedepriestley
Resolvedepriestley
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedepriestley
Resolvedepriestley
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedepriestley
Resolvedepriestley
ResolvedNone
Resolvedepriestley
ResolvedNone
ResolvedNone

Event Timeline

epriestley raised the priority of this task from to Normal.
epriestley updated the task description. (Show Details)
epriestley added a project: Conpherence.
epriestley added subscribers: epriestley, btrahan, chad.
epriestley moved this task from Backlog to v2 on the Conpherence board.Mar 16 2015, 7:21 PM
epriestley updated the task description. (Show Details)Mar 16 2015, 7:30 PM
xmf006 added a subscriber: xmf006.
xmf006 removed a subscriber: xmf006.
qgil awarded a token.Apr 13 2015, 10:40 PM
qgil added a subscriber: qgil.
jdloft added a subscriber: jdloft.Apr 13 2015, 11:22 PM
maiki added a subscriber: maiki.Apr 30 2015, 12:48 AM
gp added a subscriber: gp.May 1 2015, 3:52 AM
btrahan claimed this task.May 7 2015, 8:12 PM
btrahan closed this task as Resolved.May 28 2015, 10:41 PM
btrahan closed subtask T7572: Ship Durable Chat Column as Resolved.

while v2 is done, it kind of got busted up a bit and v3 is the new thing to watch still under active development. Check out the Conpherence workboard to follow along.

urzds added a subscriber: urzds.Jul 12 2017, 11:13 AM